Debian Bug report logs - #523851
lottanzb: depends on non-free unrar package

version graph

Package: lottanzb; Maintainer for lottanzb is Severin Heiniger <severinheiniger@gmail.com>; Source for lottanzb is src:lottanzb.

Reported by: "Aaron M. Ucko" <ucko@debian.org>

Date: Mon, 13 Apr 2009 01:39:01 UTC

Severity: serious

Found in version lottanzb/0.4.0-1

Fixed in version lottanzb/0.5.2-1

Done: Severin Heiniger <severinheiniger@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ucko@debian.org, Severin Heiniger <severinheiniger@gmail.com>:
Bug#523851; Package lottanzb. (Mon, 13 Apr 2009 01:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Aaron M. Ucko" <ucko@debian.org>:
New Bug report received and forwarded. Copy sent to ucko@debian.org, Severin Heiniger <severinheiniger@gmail.com>. (Mon, 13 Apr 2009 01:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Aaron M. Ucko" <ucko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lottanzb: depends on non-free unrar package
Date: Sun, 12 Apr 2009 21:36:00 -0400
Package: lottanzb
Version: 0.4.0-1
Severity: serious
Justification: Policy 2.2.1

lottanzb is currently in main, but depends on the non-free unrar
package.  If it can do without unrar in at least some usage scenarios,
please downgrade the dependency to a suggestion; otherwise, please
migrate to contrib.

Thanks!

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lottanzb depends on:
ii  hellanzb                      0.13-5     Newzbin (nzb) & BinNews (bns) file
ii  python                        2.5.4-2    An interactive high-level object-o
ii  python-elementtree            1.2.6-13   Light-weight toolkit for XML proce
ii  python-glade2                 2.14.1-2   GTK+ bindings: Glade support
ii  python-gtk2                   2.14.1-2   Python bindings for the GTK+ widge
ii  python-kiwi                   1.9.22-1   a graphical framework to construct
ii  python-support                1.0.1      automated rebuilding support for P
ii  unrar                         1:3.8.5-2  Unarchiver for .rar files (non-fre

Versions of packages lottanzb recommends:
ii  python-openssl                0.8-1      Python wrapper around the OpenSSL 

lottanzb suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#523851; Package lottanzb. (Mon, 13 Apr 2009 06:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Severin Heiniger <severinheiniger@gmail.com>:
Extra info received and forwarded to list. (Mon, 13 Apr 2009 06:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 523851@bugs.debian.org (full text, mbox):

From: Severin Heiniger <severinheiniger@gmail.com>
To: "Aaron M. Ucko" <ucko@debian.org>, 523851@bugs.debian.org
Subject: Re: Bug#523851: lottanzb: depends on non-free unrar package
Date: Mon, 13 Apr 2009 08:32:05 +0200
Hi Aaron,

theoretically, it would be possible for LottaNZB to depend on
unrar-free, but since unrar-free cannot handle RAR-3.0 archives the
extraction will fail too often. We initially tried that for the Ubuntu
package, but due to numerous complaints, we reverted the change.

The problem is that LottaNZB itself should not depend on unrar, while
HellaNZB should, because LottaNZB is only a front-end for HellaNZB.
The HellaNZB package itself doesn't depend on unrar but the funny
thing is that it won't even launch if unrar isn't installed, which
could be either a bug or a bad design decision.

So what should really be done is removing the unrar dependency from
LottaNZB and adding it to HellaNZB, while moving both packages to the
contrib repository.

Regards,
Severin


On Mon, Apr 13, 2009 at 3:36 AM, Aaron M. Ucko <ucko@debian.org> wrote:
> Package: lottanzb
> Version: 0.4.0-1
> Severity: serious
> Justification: Policy 2.2.1
>
> lottanzb is currently in main, but depends on the non-free unrar
> package.  If it can do without unrar in at least some usage scenarios,
> please downgrade the dependency to a suggestion; otherwise, please
> migrate to contrib.
>
> Thanks!
>
> -- System Information:
> Debian Release: squeeze/sid
>  APT prefers unstable
>  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.29-1-amd64 (SMP w/2 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages lottanzb depends on:
> ii  hellanzb                      0.13-5     Newzbin (nzb) & BinNews (bns) file
> ii  python                        2.5.4-2    An interactive high-level object-o
> ii  python-elementtree            1.2.6-13   Light-weight toolkit for XML proce
> ii  python-glade2                 2.14.1-2   GTK+ bindings: Glade support
> ii  python-gtk2                   2.14.1-2   Python bindings for the GTK+ widge
> ii  python-kiwi                   1.9.22-1   a graphical framework to construct
> ii  python-support                1.0.1      automated rebuilding support for P
> ii  unrar                         1:3.8.5-2  Unarchiver for .rar files (non-fre
>
> Versions of packages lottanzb recommends:
> ii  python-openssl                0.8-1      Python wrapper around the OpenSSL
>
> lottanzb suggests no packages.
>
> -- no debconf information
>
>
>




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#523851; Package lottanzb. (Mon, 13 Apr 2009 07:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Severin Heiniger <severinheiniger@gmail.com>:
Extra info received and forwarded to list. (Mon, 13 Apr 2009 07:39:02 GMT) Full text and rfc822 format available.

Message #15 received at 523851@bugs.debian.org (full text, mbox):

From: Severin Heiniger <severinheiniger@gmail.com>
To: "Aaron M. Ucko" <ucko@debian.org>, 523851@bugs.debian.org
Subject: Re: Bug#523851: lottanzb: depends on non-free unrar package
Date: Mon, 13 Apr 2009 09:35:25 +0200
If HellaNZB didn't crash when launching it without having unrar
installed (even if the SKIP_UNRAR option is set to True!), it would be
perfectly valid to make unrar part of HellaNZB's "Recommends" instead
of "Depends". I could provide you with a simple patch that fixes this
problem. Using LottaNZB/HellaNZB without unrar would be possible after
that, but the extraction of downloads would need to be done manually
by the user and for that, he/she would need to install unrar anyway in
many cases.

So the question is if we want to make unrar an explicit dependency or
leave it up to the user to install it.

On Mon, Apr 13, 2009 at 8:32 AM, Severin Heiniger
<severinheiniger@gmail.com> wrote:
> Hi Aaron,
>
> theoretically, it would be possible for LottaNZB to depend on
> unrar-free, but since unrar-free cannot handle RAR-3.0 archives the
> extraction will fail too often. We initially tried that for the Ubuntu
> package, but due to numerous complaints, we reverted the change.
>
> The problem is that LottaNZB itself should not depend on unrar, while
> HellaNZB should, because LottaNZB is only a front-end for HellaNZB.
> The HellaNZB package itself doesn't depend on unrar but the funny
> thing is that it won't even launch if unrar isn't installed, which
> could be either a bug or a bad design decision.
>
> So what should really be done is removing the unrar dependency from
> LottaNZB and adding it to HellaNZB, while moving both packages to the
> contrib repository.
>
> Regards,
> Severin
>
>
> On Mon, Apr 13, 2009 at 3:36 AM, Aaron M. Ucko <ucko@debian.org> wrote:
>> Package: lottanzb
>> Version: 0.4.0-1
>> Severity: serious
>> Justification: Policy 2.2.1
>>
>> lottanzb is currently in main, but depends on the non-free unrar
>> package.  If it can do without unrar in at least some usage scenarios,
>> please downgrade the dependency to a suggestion; otherwise, please
>> migrate to contrib.
>>
>> Thanks!
>>
>> -- System Information:
>> Debian Release: squeeze/sid
>>  APT prefers unstable
>>  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
>> Architecture: amd64 (x86_64)
>>
>> Kernel: Linux 2.6.29-1-amd64 (SMP w/2 CPU cores)
>> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
>> Shell: /bin/sh linked to /bin/dash
>>
>> Versions of packages lottanzb depends on:
>> ii  hellanzb                      0.13-5     Newzbin (nzb) & BinNews (bns) file
>> ii  python                        2.5.4-2    An interactive high-level object-o
>> ii  python-elementtree            1.2.6-13   Light-weight toolkit for XML proce
>> ii  python-glade2                 2.14.1-2   GTK+ bindings: Glade support
>> ii  python-gtk2                   2.14.1-2   Python bindings for the GTK+ widge
>> ii  python-kiwi                   1.9.22-1   a graphical framework to construct
>> ii  python-support                1.0.1      automated rebuilding support for P
>> ii  unrar                         1:3.8.5-2  Unarchiver for .rar files (non-fre
>>
>> Versions of packages lottanzb recommends:
>> ii  python-openssl                0.8-1      Python wrapper around the OpenSSL
>>
>> lottanzb suggests no packages.
>>
>> -- no debconf information
>>
>>
>>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Severin Heiniger <severinheiniger@gmail.com>:
Bug#523851; Package lottanzb. (Fri, 17 Apr 2009 21:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to Severin Heiniger <severinheiniger@gmail.com>. (Fri, 17 Apr 2009 21:09:05 GMT) Full text and rfc822 format available.

Message #20 received at 523851@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: Severin Heiniger <severinheiniger@gmail.com>
Cc: "Aaron M. Ucko" <ucko@debian.org>, 523851@bugs.debian.org
Subject: Re: Bug#523851: lottanzb: depends on non-free unrar package
Date: Fri, 17 Apr 2009 17:06:24 -0400
Severin Heiniger <severinheiniger@gmail.com> writes:

> If HellaNZB didn't crash when launching it without having unrar
> installed (even if the SKIP_UNRAR option is set to True!), it would be
> perfectly valid to make unrar part of HellaNZB's "Recommends" instead
> of "Depends".

As I understand it, you'd have to use "Suggests".

>> So what should really be done is removing the unrar dependency from
>> LottaNZB and adding it to HellaNZB, while moving both packages to the
>> contrib repository.

Under the circumstances, that's probably the best option. :-/

Thanks for the quick response, BTW!

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
http://www.mit.edu/~amu/ | http://stuff.mit.edu/cgi/finger/?amu@monk.mit.edu




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#523851; Package lottanzb. (Mon, 09 Nov 2009 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Severin Heiniger <severinheiniger@gmail.com>:
Extra info received and forwarded to list. (Mon, 09 Nov 2009 12:42:03 GMT) Full text and rfc822 format available.

Message #25 received at 523851@bugs.debian.org (full text, mbox):

From: Severin Heiniger <severinheiniger@gmail.com>
To: "Aaron M. Ucko" <ucko@debian.org>
Cc: 523851@bugs.debian.org
Subject: Re: Bug#523851: lottanzb: depends on non-free unrar package
Date: Mon, 9 Nov 2009 13:39:20 +0100
I'm really sorry for not getting back to you earlier and fixing this RC bug.

On Fri, Apr 17, 2009 at 10:06 PM, Aaron M. Ucko <ucko@debian.org> wrote:
> Severin Heiniger <severinheiniger@gmail.com> writes:
>
>> If HellaNZB didn't crash when launching it without having unrar
>> installed (even if the SKIP_UNRAR option is set to True!), it would be
>> perfectly valid to make unrar part of HellaNZB's "Recommends" instead
>> of "Depends".
>
> As I understand it, you'd have to use "Suggests".

A few days ago, I fixed the HellaNZB bug that caused HellaNZB to crash
when unrar wasn't installed.
The bug report can be found here:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=554904

As this bug was the only thing that kept me from removing the non-free
unrar depedency from the lottanzb package, it will now be possible to
do so. I'll request an upload the upcoming 0.5.2 version of LottaNZB
that won't depend on unrar anymore, allowing the lottanzb package to
stay in main and fixing this lottanzb bug.




Information forwarded to debian-bugs-dist@lists.debian.org, Severin Heiniger <severinheiniger@gmail.com>:
Bug#523851; Package lottanzb. (Mon, 09 Nov 2009 14:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to Severin Heiniger <severinheiniger@gmail.com>. (Mon, 09 Nov 2009 14:54:03 GMT) Full text and rfc822 format available.

Message #30 received at 523851@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: Severin Heiniger <severinheiniger@gmail.com>
Cc: "Aaron M. Ucko" <ucko@debian.org>, 523851@bugs.debian.org
Subject: Re: Bug#523851: lottanzb: depends on non-free unrar package
Date: Mon, 09 Nov 2009 09:44:29 -0500
Severin Heiniger <severinheiniger@gmail.com> writes:

> I'm really sorry for not getting back to you earlier and fixing this RC bug.

No problem; I understand completely, having generally been quite busy
myself.

> A few days ago, I fixed the HellaNZB bug that caused HellaNZB to crash
> when unrar wasn't installed.

Glad to hear it; thanks for the update.

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
http://www.mit.edu/~amu/ | http://stuff.mit.edu/cgi/finger/?amu@monk.mit.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Severin Heiniger <severinheiniger@gmail.com>:
Bug#523851; Package lottanzb. (Sat, 21 Nov 2009 11:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Severin Heiniger <severinheiniger@gmail.com>. (Sat, 21 Nov 2009 11:48:08 GMT) Full text and rfc822 format available.

Message #35 received at 523851@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 523851@bugs.debian.org
Subject: Re: lottanzb: depends on non-free unrar package
Date: Sat, 21 Nov 2009 12:43:00 +0100
Hi

Now that the package should work ok without the unrar package, will you
please upload a fixed package, TIA?

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Severin Heiniger <severinheiniger@gmail.com>:
Bug#523851; Package lottanzb. (Sat, 28 Nov 2009 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Severin Heiniger <severinheiniger@gmail.com>. (Sat, 28 Nov 2009 22:51:03 GMT) Full text and rfc822 format available.

Message #40 received at 523851@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 523851@bugs.debian.org
Subject: Re: #523851: lottanzb: depends on non-free unrar package
Date: Sat, 28 Nov 2009 23:47:30 +0100
[Message part 1 (text/plain, inline)]
tags 553431 +patch +pending
thanks

Hi,

I will shortly NMU this bug with the attached interdiff.


cheers,

Michael
[interdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#523851; Package lottanzb. (Sat, 28 Nov 2009 23:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Severin Heiniger <severinheiniger@gmail.com>:
Extra info received and forwarded to list. (Sat, 28 Nov 2009 23:42:04 GMT) Full text and rfc822 format available.

Message #45 received at 523851@bugs.debian.org (full text, mbox):

From: Severin Heiniger <severinheiniger@gmail.com>
To: Michael Banck <mbanck@debian.org>, 523851@bugs.debian.org
Subject: Re: Bug#523851: #523851: lottanzb: depends on non-free unrar package
Date: Sun, 29 Nov 2009 00:38:15 +0100
Hi Luk and Michael,

I'm not exactly sure why your messages didn't show up in my Gmail
inbox and I'm sorry that you didn't get an answer because of that. The
0.5.2 version of LottaNZB has finally been released, making the NMU
unnecessary. I just uploaded it to mentors.debian.net:
http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=lottanzb

I'd highly appreciate it if someone uploaded this package for me.

Regards,
Severin

On Sat, Nov 28, 2009 at 11:47 PM, Michael Banck <mbanck@debian.org> wrote:
> tags 553431 +patch +pending
> thanks
>
> Hi,
>
> I will shortly NMU this bug with the attached interdiff.
>
>
> cheers,
>
> Michael
>




Information forwarded to debian-bugs-dist@lists.debian.org, Severin Heiniger <severinheiniger@gmail.com>:
Bug#523851; Package lottanzb. (Sat, 28 Nov 2009 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Severin Heiniger <severinheiniger@gmail.com>. (Sat, 28 Nov 2009 23:51:03 GMT) Full text and rfc822 format available.

Message #50 received at 523851@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Severin Heiniger <severinheiniger@gmail.com>
Cc: 523851@bugs.debian.org
Subject: Re: Bug#523851: #523851: lottanzb: depends on non-free unrar package
Date: Sun, 29 Nov 2009 00:48:58 +0100
Hi,

On Sun, Nov 29, 2009 at 12:38:15AM +0100, Severin Heiniger wrote:
> I'm not exactly sure why your messages didn't show up in my Gmail
> inbox and I'm sorry that you didn't get an answer because of that. The
> 0.5.2 version of LottaNZB has finally been released, making the NMU
> unnecessary. I just uploaded it to mentors.debian.net:
> http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=lottanzb

Great; I checked mentors before sending the NMU notice...

Will sponsor it now.


Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Severin Heiniger <severinheiniger@gmail.com>:
Bug#523851; Package lottanzb. (Sat, 28 Nov 2009 23:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Severin Heiniger <severinheiniger@gmail.com>. (Sat, 28 Nov 2009 23:57:08 GMT) Full text and rfc822 format available.

Message #55 received at 523851@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Severin Heiniger <severinheiniger@gmail.com>
Cc: 523851@bugs.debian.org
Subject: Re: Bug#523851: #523851: lottanzb: depends on non-free unrar package
Date: Sun, 29 Nov 2009 00:52:30 +0100
On Sun, Nov 29, 2009 at 12:38:15AM +0100, Severin Heiniger wrote:
> Hi Luk and Michael,
> 
> I'm not exactly sure why your messages didn't show up in my Gmail
> inbox and I'm sorry that you didn't get an answer because of that. The
> 0.5.2 version of LottaNZB has finally been released, making the NMU
> unnecessary. I just uploaded it to mentors.debian.net:
> http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=lottanzb
> 
> I'd highly appreciate it if someone uploaded this package for me.

The bug tag in the changelog has not colon (lintian complains as well),
so the closed RC bug does not show up in the .changes.

Let me know when you have an updated package to sponsor.


cheers,

Michael




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#523851; Package lottanzb. (Sun, 29 Nov 2009 00:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Severin Heiniger <severinheiniger@gmail.com>:
Extra info received and forwarded to list. (Sun, 29 Nov 2009 00:06:03 GMT) Full text and rfc822 format available.

Message #60 received at 523851@bugs.debian.org (full text, mbox):

From: Severin Heiniger <severinheiniger@gmail.com>
To: Michael Banck <mbanck@debian.org>
Cc: 523851@bugs.debian.org
Subject: Re: Bug#523851: #523851: lottanzb: depends on non-free unrar package
Date: Sun, 29 Nov 2009 01:02:50 +0100
On Sun, Nov 29, 2009 at 12:52 AM, Michael Banck <mbanck@debian.org> wrote:
> The bug tag in the changelog has not colon (lintian complains as well),
> so the closed RC bug does not show up in the .changes.
>
> Let me know when you have an updated package to sponsor.

I'm sorry for having missed that. An updated package is available at
mentors.debian.net. Thanks alot for sponsoring the upload!




Information forwarded to debian-bugs-dist@lists.debian.org, Severin Heiniger <severinheiniger@gmail.com>:
Bug#523851; Package lottanzb. (Sun, 29 Nov 2009 00:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Severin Heiniger <severinheiniger@gmail.com>. (Sun, 29 Nov 2009 00:12:03 GMT) Full text and rfc822 format available.

Message #65 received at 523851@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Severin Heiniger <severinheiniger@gmail.com>
Cc: 523851@bugs.debian.org
Subject: Re: Bug#523851: #523851: lottanzb: depends on non-free unrar package
Date: Sun, 29 Nov 2009 01:09:54 +0100
On Sun, Nov 29, 2009 at 01:02:50AM +0100, Severin Heiniger wrote:
> On Sun, Nov 29, 2009 at 12:52 AM, Michael Banck <mbanck@debian.org> wrote:
> > The bug tag in the changelog has not colon (lintian complains as well),
> > so the closed RC bug does not show up in the .changes.
> >
> > Let me know when you have an updated package to sponsor.
> 
> I'm sorry for having missed that. An updated package is available at
> mentors.debian.net. Thanks alot for sponsoring the upload!

Thanks, I've uploaded it.


Michael




Reply sent to Severin Heiniger <severinheiniger@gmail.com>:
You have taken responsibility. (Sun, 29 Nov 2009 00:36:08 GMT) Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. (Sun, 29 Nov 2009 00:36:08 GMT) Full text and rfc822 format available.

Message #70 received at 523851-close@bugs.debian.org (full text, mbox):

From: Severin Heiniger <severinheiniger@gmail.com>
To: 523851-close@bugs.debian.org
Subject: Bug#523851: fixed in lottanzb 0.5.2-1
Date: Sun, 29 Nov 2009 00:32:08 +0000
Source: lottanzb
Source-Version: 0.5.2-1

We believe that the bug you reported is fixed in the latest version of
lottanzb, which is due to be installed in the Debian FTP archive:

lottanzb_0.5.2-1.diff.gz
  to main/l/lottanzb/lottanzb_0.5.2-1.diff.gz
lottanzb_0.5.2-1.dsc
  to main/l/lottanzb/lottanzb_0.5.2-1.dsc
lottanzb_0.5.2-1_all.deb
  to main/l/lottanzb/lottanzb_0.5.2-1_all.deb
lottanzb_0.5.2.orig.tar.gz
  to main/l/lottanzb/lottanzb_0.5.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 523851@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Severin Heiniger <severinheiniger@gmail.com> (supplier of updated lottanzb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Fri, 27 Nov 2009 23:15:53 +0100
Source: lottanzb
Binary: lottanzb
Architecture: source all
Version: 0.5.2-1
Distribution: unstable
Urgency: low
Maintainer: Severin Heiniger <severinheiniger@gmail.com>
Changed-By: Severin Heiniger <severinheiniger@gmail.com>
Description: 
 lottanzb   - simple and automated Usenet downloader for Newzbin (NZB) files
Closes: 523851
Changes: 
 lottanzb (0.5.2-1) unstable; urgency=low
 .
   * New upstream release.
 .
   * debian/control:
     + Bump Standards-Version to 3.8.3.
     + Add intltool to Build-Depends.
     + Remove python-kiwi from Build-Depends-Indep.
     + Remove python-setuptools from Build-Depends.
     + Remove python-glade2 from Depends.
     + Bump python build and runtime dependency to 2.5.
     + Bump python-gtk2 dependency to >= 2.14.
     + Remove python-openssl from Recommends as it's already part
       of hellanzb's Depends.
     + Minor description update based on README.
     + Remove unrar from Depends to prevent the package from being
       moved from main to contrib (Closes: #523851).
   * debian/copyright:
     + Add lottanzb/external/builderloader.py copyright notice.
   * debian/rules:
     + Fix lintian warnings: dh_desktop-is-deprecated and
       dh_desktop-is-deprecated.
     + CHANGELOG has been renamed to NEWS.
   * debian/manpages, lottanzb.1:
     + Use the man page included in the source tarball.
Checksums-Sha1: 
 4db2384d736c603577a2bfdcab6207eb32e096ac 1357 lottanzb_0.5.2-1.dsc
 27cbdc12a87bbfb764cad60fa739f6a4878274cb 4063936 lottanzb_0.5.2.orig.tar.gz
 e9e74d9a6e244cfc1f2b7c9c00cf5190069ad5ad 5620 lottanzb_0.5.2-1.diff.gz
 f66771c5754334fdb484b0121b6e9e18b84d4e5c 3826378 lottanzb_0.5.2-1_all.deb
Checksums-Sha256: 
 16c4b93f6c8ede986a42dceded1ca7229d72313e132639870e1357fdab2aa418 1357 lottanzb_0.5.2-1.dsc
 cd2aff21a113e78ba25b2b87a5dcc1b581d35ccfd2b04791b303e28c58bd7489 4063936 lottanzb_0.5.2.orig.tar.gz
 787be4f90cceda970a9222b094d4d2950e1eb21205d3e9a28daacb9a94da8b50 5620 lottanzb_0.5.2-1.diff.gz
 fe258d5b84e4535d483f9abc100cb02dd87c8ff5f050bb405ee18c19ea46cc1c 3826378 lottanzb_0.5.2-1_all.deb
Files: 
 80b4df9146d87082eaa2af8bd05cec5f 1357 net extra lottanzb_0.5.2-1.dsc
 fa6ac1ef230b77439fbecc5dd36d45a4 4063936 net extra lottanzb_0.5.2.orig.tar.gz
 7048cf7afbf55a6ecaba88efc11814f8 5620 net extra lottanzb_0.5.2-1.diff.gz
 9937a4935e54b9fda478274ad41ff60c 3826378 net extra lottanzb_0.5.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLEbuWmHaJYZ7RAb8RA37oAJ9xqJQmAXWkhdyjeFjHDoPzOe/WyACgviEU
N79iQjYv7SNKPyc7fJ9tTi8=
=/ws8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Jan 2010 07:32:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:06:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.